Summary: A perl interface to the SHA1 digest algorithm.
Name: perl-Digest-SHA1
Version: 2.01
Release: 1
License: distributable
Group: Applications/File
Source: http://www.cpan.org/modules/by-module/Digest/Digest-SHA1-%{version}.tar.gz
URL: http://www.cpan.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.0-16

%description 
A perl interface to the SHA1 digest algorithm.

%prep
%setup -q -n Digest-SHA1-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/Digest/SHA1/.packlist
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/Digest/SHA1/SHA1.bs

%files 
%defattr(-,root,root)
%doc README Changes fip180-1.html fip180-1.gif
%{_libdir}/perl5/*
%{_mandir}/*/*

%changelog
* Fri Feb  1 2002 Ian Macdonald <ian@caliban.org>
- 2.01

* Fri Oct 26 2001 Ian Macdonald <ian@caliban.org>
- 2.00
